petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatPartitioningSetNParts

Set how many partitions need to be created; by default this is one per processor. Certain partitioning schemes may in fact only support that option.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPartitioningSetNParts(MatPartitioning part,PetscInt n)

Not collective Many br

### Input Parameter

partitioning -the partitioning context Many br
n -the number of partitions Many br

Many br

Not Collective Many br

### Keywords

Partitioning, set

### See Also

MatPartitioningCreate(), MatPartitioningApply()

Level:intermediate
Location:src/mat/partition/partition.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages